<?php
namespace TecFood\Services;

use Doctrine\DBAL\Connection;
use Teknisa\Libs\Util\Environment;

class ConfirmaRecebimentoAFService {

    protected $connection;
    protected $environment;

    public function __construct(Connection $connection, Environment $environment) {
        $this->connection = $connection;
        $this->environment = $environment;
    }
    
    public function returnIdAutPerfAcesso($row) {
        $query = "SELECT AUTPERFILACESSO.IDAUTPERFACESSO
                      FROM AUTPERFILACESSO, PERFACESSPARC, PERFILACESSO, OPERADOR
                     WHERE AUTPERFILACESSO.IDAUTPERFACESSO = 'CRAF'
                       AND AUTPERFILACESSO.NRPERFILACESSO = PERFACESSPARC.NRPERFILACESSO
                       AND PERFACESSPARC.NRPARCNEGOCIO = OPERADOR.NRPARCNEGOCIO
                       AND OPERADOR.CDOPERADOR = :P_CDOPERADOR
                       AND AUTPERFILACESSO.NRPERFILACESSO = PERFILACESSO.NRPERFILACESSO";
        $params = array(
            'P_CDOPERADOR' => $row['CDOPERADOR']
        );

        $stmt = $this->connection->prepare($query);
        $stmt->execute($params);
        $result = $stmt->fetchAll();
        if(!empty($result)){
            return $result[0]["IDAUTPERFACESSO"];
        }else{
            return false;
        }
    }

    public function returnParamIdutlconfrecaf($cdFilial) {
        $query = "SELECT IDUTLCONFRECAF FROM PARCMPSUP WHERE CDFILIAL = :CDFILIAL";
        $params = array(
            'CDFILIAL' => $cdFilial
        );

        $stmt = $this->connection->prepare($query);
        $stmt->execute($params);
        return $stmt->fetchAll()[0]["IDUTLCONFRECAF"];
    }
    
    public function updateStatusAF($row, $cdOperador) {
        $query = "UPDATE 
                    AUTOFORNE
                SET
                    IDCONFRECEBIMENTO =:IDCONFRECEBIMENTO,
                    DTCONFRECEBIMENTO = SYSDATE - 1,
                    CDOPERCONFAF = :CDOPERADOR
                WHERE
                    CDFILDEST =:CDFILDEST
                    AND CDFILLANC =:CDFILLANC
                    AND NRAUTOFORN =:NRAUTOFORN";
                    
        $params = array(
            'IDCONFRECEBIMENTO' => $row['IDCONFRECEBIMENTO'],
            'CDOPERADOR' => $cdOperador,
            'CDFILDEST'  => $row['CDFILDEST'],
            'CDFILLANC'  => $row['CDFILLANC'],
            'NRAUTOFORN' => $row['NRAUTOFORN']
        );

        $stmt = $this->connection->prepare($query);
        $stmt->execute($params);
    }
}