<?php
namespace TecFood\Services;

use Doctrine\DBAL\Connection;
use Teknisa\Libs\Util\Environment;

class User {

    protected $connection;
    protected $environment;
    protected $updateUnitQuery = "UPDATE OPERADOR SET CDFILIALSELECIONADA = :CDFILIAL, NRORGSELECIONADA = :NRORGSELECIONADA WHERE CDOPERADOR = :CDOPERADOR";

    public function __construct(Connection $connection, Environment $environment) {
        $this->connection = $connection;
        $this->environment = $environment;
    }

    public function changeUserUnit($user) {
        $params = array(
            'CDFILIAL' => $user['CDFILIAL'],
            'NRORGSELECIONADA' => $user['NRORG'],
            'CDOPERADOR' => $user['CDOPERADOR'],
        );

        $query = $this->connection->prepare($this->updateUnitQuery);
        $query->execute($params);

        $this->environment->setCdFilial($user['CDFILIAL']);
    }

}